Skip to content

Update a shipping rate (merged-row validation)

PUT
/admin/v1/shipping/rates/{id}
curl --request PUT \
--url https://your-store.example.com/admin/v1/shipping/rates/example \
--header 'Content-Type: application/json' \
--data '{ "zoneId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "type": "flat", "amount": 1, "currency": "example", "freeOverAmount": 1, "weightMinGrams": 1, "weightMaxGrams": 1 }'
id
required
string
Media type application/json
object
zoneId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
name
string
>= 1 characters <= 128 characters
type
string
Allowed values: flat free_over weight_based
amount
integer
<= 9007199254740991
currency
string
/^[A-Za-z]{3}$/
freeOverAmount
Any of:
integer
<= 9007199254740991
weightMinGrams
Any of:
integer
<= 9007199254740991
weightMaxGrams
Any of:
integer
<= 9007199254740991